// ****************************************************************** 
function client_SetTxTerrestrialInterface()
{
   var anElement = Get_Iframe_Element( 'TxTerrestrialInterfaceSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Terrestrial Interface"))
      {
         serverIntfTxSetupIntf.SetTxTerrestrialInterface(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxClockSource()
{
   var anElement = Get_Iframe_Element( 'TxClockSourceSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Clock Source"))
      {
         serverIntfTxSetupIntf.SetTxClockSource(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxClockPolarity()
{
   var anElement = Get_Iframe_Element( 'TxClockPolaritySelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Clock Polarity"))
      {
         serverIntfTxSetupIntf.SetTxClockPolarity(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxSctClockSource()
{
   var anElement = Get_Iframe_Element( 'TxSctClockSourceSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx SCT Clock Source"))
      {
         serverIntfTxSetupIntf.SetTxSctClockSource(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxSctClockPolarity()
{
   var anElement = Get_Iframe_Element( 'TxSctClockPolaritySelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx SCT Clock Polarity"))
      {
         serverIntfTxSetupIntf.SetTxSctClockPolarity(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxEscCh1Gain(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxEscCh1GainInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsChangeConfirmed("Tx Esc Ch1 Gain"))
            {
               var aGain = parseFloat(anElement.value);
               anElement.value = FormatNumber(aGain, 1);
               aGain += 0.001;
               serverIntfTxSetupIntf.SetTxEscCh1Gain(aGain);
               Focus_Iframe();

            }
         }
      }                           
   }
};

function client_SetTxEscCh2Gain(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxEscCh2GainInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsChangeConfirmed("Tx Esc Ch2 Gain"))
            {
               var aGain = parseFloat(anElement.value);
               anElement.value = FormatNumber(aGain, 1);
               aGain += 0.001;
               serverIntfTxSetupIntf.SetTxEscCh2Gain(aGain);
               Focus_Iframe();

            }
         }
      }                           
   }
};

function client_SetTxEthFlowControl()
{
   var anElement = Get_Iframe_Element( 'TxEthFlowControlSelect' ) ;
   if( anElement )
   {
      if( IsChangeConfirmed( "Tx Ethernet Flow Control" ) )
      {
         serverIntfTxSetupIntf.SetTxEthFlowControl( parseInt( anElement.value, 10 ) );
         Focus_Iframe();
      }
   }
};

function client_SetTxEthDaisyChain()
{
   var anElement = Get_Iframe_Element( 'TxEthDaisyChainSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Ethernet Daisy Chain"))
      {
         serverIntfTxSetupIntf.SetTxEthDaisyChain(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxEthQosType()
{
   var anElement = Get_Iframe_Element( 'TxEthQosTypeSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Ethernet QOS Type"))
      {
         serverIntfTxSetupIntf.SetTxEthQosType(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxEthQosQueue()
{
   var anElement = Get_Iframe_Element( 'TxEthQosQueueSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Ethernet QOS Queue"))
      {
         serverIntfTxSetupIntf.SetTxEthQosQueue(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxAsyncMode()
{
   var anElement = Get_Iframe_Element( 'TxAsyncModeSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Async Mode"))
      {
         serverIntfTxSetupIntf.SetTxAsyncMode(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxAsyncEsInterface()
{
   var anElement = Get_Iframe_Element( 'TxAsyncEsInterfaceSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Async ES Interface"))
      {
         serverIntfTxSetupIntf.SetTxAsyncEsInterface(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxAsyncEsBaudRate()
{
   var anElement = Get_Iframe_Element( 'TxAsyncEsBaudRateSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Async ES Baud Rate"))
      {
         serverIntfTxSetupIntf.SetTxAsyncEsBaudRate(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxAsyncEsCharBits()
{
   var anElement = Get_Iframe_Element( 'TxAsyncEsCharBitsSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Async ES Char Bits"))
      {
         serverIntfTxSetupIntf.SetTxAsyncEsCharBits(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxDropMode()
{
   var anElement = Get_Iframe_Element( 'TxDropModeSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Drop Mode"))
      {
         serverIntfTxSetupIntf.SetTxDropMode(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxDropMap()
{
   var timeSlotId;
   var dropMap = new Array();

   for (i=1; i<MAX_CHANNELS+1; i++)
   {
      timeSlotId = 'TxDropTerrTimeSlot' + i + 'Input';
      var anElement = Get_Iframe_Element( timeSlotId ) ;
      if ( anElement )
      {
         if ( anElement.value < 1 || anElement.value > MAX_TIMESLOTS )
         {
            alert("Invalid TimeSlot for Satellite Channel " + i);
            return(false);
         }
         dropMap[i-1] = anElement.value;
      }
      else
         return( false );
   }

   if (IsChangeConfirmed("Tx Drop Map"))
   {
      var aDropMapAsString = dropMap.join(",");
      serverIntfTxSetupIntf.SetTxDropMap( aDropMapAsString );
   }
   return(true);
};

function client_ResetTxDropMap()
{
   serverIntfTxSetupIntf.ResetTxDropMap();
};

function client_SetTxIntfSetupStatusUpdate()
{
   serverIntfTxSetupIntf.SetTxIntfSetupSelectContentUpdate();
   serverIntfTxSetupIntf.SetTxIntfSetupStatusUpdate();
};

// ****************************************************************** 
function asyncUpdateTxIntfTerrestrialInterfaceStatus(aTerrestrialInterface)
{
   var anElement = Get_Iframe_Element( 'TxTerrestrialInterfaceSelect' ) ;
   if ( anElement )         // Set transmit terrestrial interface
      anElement.value = aTerrestrialInterface;
}

function asyncUpdateTxIntfClockSourceStatus(aClockSource)
{
   var anElement = Get_Iframe_Element( 'TxClockSourceSelect' ) ;
   if ( anElement )             // Set transmit clock source
      anElement.value = aClockSource;
}

function asyncUpdateTxIntfClockPolarityStatus(aClockPolarity)
{
   var anElement = Get_Iframe_Element( 'TxClockPolaritySelect' ) ;
   if ( anElement )          // Set transmit clock polarity
      anElement.value = aClockPolarity;
}

function asyncUpdateTxIntfCircuitIdStatus(aCircuitId)
{
   var anElement = Get_Iframe_Element( 'TxCircuitIdInput' ) ;
   if ( anElement )         // Set transmit circuit Id
      anElement.value = aCircuitId;
}

function asyncUpdateTxIntfAsyncModeStatus(anAsyncMode)
{
   var anElement = Get_Iframe_Element( 'TxAsyncModeSelect' ) ;
   if ( anElement )         // Set transmit AsyncMode
      anElement.value = anAsyncMode;
}

function asyncUpdateTxIntfAsyncEsInterfaceStatus(anAsyncEsInterface)
{
   var anElement = Get_Iframe_Element( 'TxAsyncEsInterfaceSelect' ) ;
   if ( anElement )         // Set transmit AsyncEsInterface
      anElement.value = anAsyncEsInterface;
}

function asyncUpdateTxIntfAsyncEsBaudRateStatus(anAsyncEsBaudRate)
{
   var anElement = Get_Iframe_Element( 'TxAsyncEsBaudRateSelect' ) ;
   if ( anElement )         // Set transmit AsyncEsBaudRate
      anElement.value = anAsyncEsBaudRate;
}

function asyncUpdateTxIntfAsyncEsCharBitsStatus(anAsyncEsCharBits)
{
   var anElement = Get_Iframe_Element( 'TxAsyncEsCharBitsSelect' ) ;
   if ( anElement )         // Set transmit AsyncEsCharBits
      anElement.value = anAsyncEsCharBits;
}

function asyncUpdateTxIntfDropModeStatus(aDropMode)
{
   var anElement = Get_Iframe_Element( 'TxDropModeSelect' ) ;
   if ( anElement )           // Set transmit drop mode
      anElement.value = aDropMode;
}

function asyncUpdateTxIntfSctClockSourceStatus(aSctClockSource)
{
   var anElement = Get_Iframe_Element( 'TxSctClockSourceSelect' ) ;
   if ( anElement )                // Set transmit Sct clock source
      anElement.value = aSctClockSource;
}

function asyncUpdateTxIntfSctClockPolarityStatus(aSctClockPolarity)
{
   var anElement = Get_Iframe_Element( 'TxSctClockPolaritySelect' ) ;
   if ( anElement )                    // Set transmit Sct clock polarity
      anElement.value = aSctClockPolarity;
}

function asyncUpdateTxIntfEscCh1GainStatus(aGain)
{
   var anElement = Get_Iframe_Element( 'TxEscCh1GainInput' ) ;
   if ( anElement )	
      anElement.value = FormatNumber(aGain, 1);
}

function asyncUpdateTxIntfEscCh2GainStatus(aGain)
{
   var anElement = Get_Iframe_Element( 'TxEscCh2GainInput' ) ;
   if ( anElement )	
      anElement.value = FormatNumber(aGain, 1);
}

function asyncUpdateTxIntfEthFlowControlStatus(anEthFlowControl)
{
   var anElement = Get_Iframe_Element( 'TxEthFlowControlSelect' ) ;
   if ( anElement )                    // Set transmit Eth Flow Control
      anElement.value = anEthFlowControl;
}

function asyncUpdateTxIntfEthDaisyChainStatus(anEthDaisyChain)
{
   var anElement = Get_Iframe_Element( 'TxEthDaisyChainSelect' ) ;
   if ( anElement )                    // Set transmit Eth Daisy Chain
      anElement.value = anEthDaisyChain;
}

function asyncUpdateTxIntfEthQosTypeStatus(anEthQosType)
{
   var anElement = Get_Iframe_Element( 'TxEthQosTypeSelect' ) ;
   if ( anElement )                    // Set transmit Eth Qos Type
      anElement.value = anEthQosType;
}

function asyncUpdateTxIntfEthQosQueueStatus(anEthQosQueue)
{
   var anElement = Get_Iframe_Element( 'TxEthQosQueueSelect' ) ;
   if ( anElement )                    // Set transmit Eth Qos Queue
      anElement.value = anEthQosQueue;
}

function asyncUpdateTxIntfDropMap(aDropMapAsString)
{
   var timeSlotId, i;
   var anElement;
   var dropMap = aDropMapAsString.split(",");

   for (i=1; i<MAX_CHANNELS+1; i++)
   {
      timeSlotId = 'TxDropTerrTimeSlot' + i + 'Input';
       anElement = Get_Iframe_Element( timeSlotId ) ;
       if ( anElement )
        anElement.value = parseInt(dropMap[i-1], 16);
   }
}

// ****************************************************************** 
function asyncUpdateTxIntfTerrestrialInterfaceSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxTerrestrialInterfaceSelect', aSelectContent );
}

function asyncUpdateTxIntfClockSourceSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxClockSourceSelect', aSelectContent );
}

function asyncUpdateTxIntfClockPolaritySelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxClockPolaritySelect', aSelectContent );
}

function asyncUpdateTxIntfAsyncModeSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxAsyncModeSelect', aSelectContent );
}

function asyncUpdateTxIntfAsyncEsInterfaceSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxAsyncEsInterfaceSelect', aSelectContent );
}

function asyncUpdateTxIntfAsyncEsBaudRateSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxAsyncEsBaudRateSelect', aSelectContent );
}

function asyncUpdateTxIntfAsyncEsCharBitsSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxAsyncEsCharBitsSelect', aSelectContent );
}

function asyncUpdateTxIntfDropModeSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxDropModeSelect', aSelectContent );
}

function asyncUpdateTxIntfSctClockSourceSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxSctClockSourceSelect', aSelectContent );
}

function asyncUpdateTxIntfSctClockPolaritySelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxSctClockPolaritySelect', aSelectContent );
}

function asyncUpdateTxIntfEthFlowControlSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxEthFlowControlSelect', aSelectContent );
}

function asyncUpdateTxIntfEthDaisyChainSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxEthDaisyChainSelect', aSelectContent );
}

function asyncUpdateTxIntfEthQosTypeSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxEthQosTypeSelect', aSelectContent );
}

function asyncUpdateTxIntfEthQosQueueSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxEthQosQueueSelect', aSelectContent );
}

