// ****************************************************************** 
//       * Functions triggered by events in client user interface
// ******************************************************************
function client_SetRxForceCurrentAlarmTest( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if( aTarget )
   {
      if( IsChangeConfirmed( "Force Rx Major Alarm" ) )
      {
         if( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxForceCurrentAlarmTest( YES );
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxForceCurrentAlarmTest( NO );
      }
   }
}

function client_SetRxFpgaConfigAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx FPGA Config Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxFpgaConfigAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxFpgaConfigAlarmMask(NO);
      }
   }
}

function client_SetRxDspConfigAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx DSP Config Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxDspConfigAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxDspConfigAlarmMask(NO);
      }
   }
}

function client_SetRxSignalLockAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx Signal Lock Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxSignalLockAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxSignalLockAlarmMask(NO);
      }
   }
}

function client_SetRxInputLevelAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx Input Level Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxInputLevelAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxInputLevelAlarmMask(NO);
      }
   }
}

function client_SetRxFrameLockAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx Frame Lock Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxFrameLockAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxFrameLockAlarmMask(NO);
      }
   }
}

function client_SetRxMultiFrameLockAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx MultiFrame Lock Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxMultiFrameLockAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxMultiFrameLockAlarmMask(NO);
      }
   }
}

function client_SetRxLbSynthPllAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx Lband Synthesizer PLL Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxLbSynthPllAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxLbSynthPllAlarmMask(NO);
      }
   }
}

function client_SetRxLnbCurrentAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx LNB Current Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxLnbCurrentAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxLnbCurrentAlarmMask(NO);
      }
   }
}

function client_SetRxLnbVoltageAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx LNB Voltage Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxLnbVoltageAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxLnbVoltageAlarmMask(NO);
      }
   }
}

function client_SetRxEthernetWanAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx Ethernet Wan Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxEthernetWanAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxEthernetWanAlarmMask(NO);
      }
   }
}

function client_SetRxBuffUnderflowAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx Buffer Underflow Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxBuffUnderflowAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxBuffUnderflowAlarmMask(NO);
      }
   }
}

function client_SetRxBuffNearEmptyAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx Buffer Near Empty Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxBuffNearEmptyAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxBuffNearEmptyAlarmMask(NO);
      }
   }
}

function client_SetRxBuffNearFullAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx Buffer Near Full Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxBuffNearFullAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxBuffNearFullAlarmMask(NO);
      }
   }
}

function client_SetRxBufferOverflowAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx Buffer Overflow Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxBufferOverflowAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxBufferOverflowAlarmMask(NO);
      }
   }
}

function client_SetRxDataActivityAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx Data Activity Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxDataActivityAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxDataActivityAlarmMask(NO);
      }
   }
}

function client_SetRxSatAisAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx Satellite AIS Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxSatAisAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxSatAisAlarmMask(NO);
      }
   }
}

function client_SetRxDnIFrameLockAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx DnI Frame Lock Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxDnIFrameLockAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxDnIFrameLockAlarmMask(NO);
      }
   }
}

function client_SetRxDnIMframeLockAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx DnI MultiFrame Lock Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxDnIMframeLockAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxDnIMframeLockAlarmMask(NO);
      }
   }
}

function client_SetRxInsertCrcAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx Insert CRC Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxInsertCrcAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxInsertCrcAlarmMask(NO);
      }
   }
}

function client_SetRxT1E1SignalingAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx T1/E1 Signaling Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxT1E1SignalingAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxT1E1SignalingAlarmMask(NO);
      }
   }
}

function client_SetRxIfecLockAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx IFEC Lock Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxIfecLockAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxIfecLockAlarmMask(NO);
      }
   }
}

function client_SetRxOfecLockAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx OFEC Lock Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxOfecLockAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxOfecLockAlarmMask(NO);
      }
   }
}

function client_SetRxInterleaverAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx Interleaver Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxInterleaverAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxInterleaverAlarmMask(NO);
      }
   }
}

function client_SetRxRsUncorrWordAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx ReedSolomon Uncorrectable Word Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxRsUncorrWordAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxRsUncorrWordAlarmMask(NO);
      }
   }
}

function client_SetRxEbnoAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx Eb/No Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxEbnoAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxEbnoAlarmMask(NO);
      }
   }
}

function client_SetRxLevelAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx Level Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxLevelAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxLevelAlarmMask(NO);
      }
   }
}

function client_SetRxIbsBerAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx IBS BER Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxIbsBerAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxIbsBerAlarmMask(NO);
      }
   }
}

function client_SetRxDvbFrameLockAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx DVB Frame Lock Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmRxIntf.SetRxDvbFrameLockAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmRxIntf.SetRxDvbFrameLockAlarmMask(NO);
      }
   }
}

function client_SetRxResetLatchedAlarms( )
{
   serverAlarmRxIntf.SetRxResetLatchedAlarms( );
}

function client_SetAlarmsRxStatusUpdate()
{
   serverAlarmRxIntf.SetAlarmsRxStatusUpdate();
};

// ****************************************************************** 
function Update_RxFpgaConfigCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxFpgaConfigCurrentDarkLed', 'RxFpgaConfigCurrentRedLed');
}

function Update_RxFpgaConfigLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxFpgaConfigLatchedDarkLed', 'RxFpgaConfigLatchedRedLed');
}

// ****************************************************************** 
function asyncUpdateAlarmsRxForceCurrentAlarmTest( aRxForceCurrentAlarmTest )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if( aForm )
   {
	   if( aRxForceCurrentAlarmTest )
      {
   	   if( aForm.RxForceAlarmTestRadio )
   	      aForm.RxForceAlarmTestRadio[ MASK ].checked = true;
      }
	   else if( aForm.RxForceAlarmTestRadio )
         aForm.RxForceAlarmTestRadio[ UNMASK ].checked = true;
   }
}

function asyncUpdateAlarmsRxFpgaConfigAlarm(aRxFpgaConfigCurrentAlarm, aRxFpgaConfigLatchedAlarm,
   aRxFpgaConfigAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
      if ( aRxFpgaConfigAlarmMask )
      {
         if (aForm.RxFpgaConfigAlarmMask)
            aForm.RxFpgaConfigAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxFpgaConfigAlarmMask)
         aForm.RxFpgaConfigAlarmMask[UNMASK].checked = true;
   }
   Update_RxFpgaConfigCurrentAlarm_Led(aRxFpgaConfigCurrentAlarm);
   Update_RxFpgaConfigLatchedAlarm_Led(aRxFpgaConfigLatchedAlarm);
}

function Update_RxDspConfigCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxDspConfigCurrentDarkLed', 'RxDspConfigCurrentRedLed');
}

function Update_RxDspConfigLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxDspConfigLatchedDarkLed', 'RxDspConfigLatchedRedLed');
}

function asyncUpdateAlarmsRxDspConfigAlarm(aRxDspConfigCurrentAlarm, aRxDspConfigLatchedAlarm,
   aRxDspConfigAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aRxDspConfigAlarmMask )
   	{
   	    if (aForm.RxDspConfigAlarmMask)
        	    aForm.RxDspConfigAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxDspConfigAlarmMask)
         aForm.RxDspConfigAlarmMask[UNMASK].checked = true;
   }
   Update_RxDspConfigCurrentAlarm_Led(aRxDspConfigCurrentAlarm);
   Update_RxDspConfigLatchedAlarm_Led(aRxDspConfigLatchedAlarm);
}

function Update_RxSignalLockCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxSignalLockCurrentDarkLed', 'RxSignalLockCurrentRedLed');
}

function Update_RxSignalLockLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxSignalLockLatchedDarkLed', 'RxSignalLockLatchedRedLed');
}

function asyncUpdateAlarmsRxSignalLockAlarm(aRxSignalLockCurrentAlarm, aRxSignalLockLatchedAlarm,
   aRxSignalLockAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
      if ( aRxSignalLockAlarmMask )
   	{
   	   if (aForm.RxSignalLockAlarmMask)
   	      aForm.RxSignalLockAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxSignalLockAlarmMask)
  	     aForm.RxSignalLockAlarmMask[UNMASK].checked = true;
   }
   Update_RxSignalLockCurrentAlarm_Led(aRxSignalLockCurrentAlarm);
   Update_RxSignalLockLatchedAlarm_Led(aRxSignalLockLatchedAlarm);
}

function Update_RxInputLevelCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxInputLevelCurrentDarkLed', 'RxInputLevelCurrentRedLed');
}

function Update_RxInputLevelLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxInputLevelLatchedDarkLed', 'RxInputLevelLatchedRedLed');
}

function asyncUpdateAlarmsRxInputLevelAlarm(aRxInputLevelCurrentAlarm, aRxInputLevelLatchedAlarm,
   aRxInputLevelAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
   	if ( aRxInputLevelAlarmMask )
      {
   	   if (aForm.RxInputLevelAlarmMask)
   	     aForm.RxInputLevelAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxInputLevelAlarmMask)
  	     aForm.RxInputLevelAlarmMask[UNMASK].checked = true;
   }
   Update_RxInputLevelCurrentAlarm_Led(aRxInputLevelCurrentAlarm);
   Update_RxInputLevelLatchedAlarm_Led(aRxInputLevelLatchedAlarm);
}

function Update_RxFrameLockCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxFrameLockCurrentDarkLed', 'RxFrameLockCurrentRedLed');
}

function Update_RxFrameLockLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxFrameLockLatchedDarkLed', 'RxFrameLockLatchedRedLed');
}

function asyncUpdateAlarmsRxFrameLockAlarm(aRxFrameLockCurrentAlarm, aRxFrameLockLatchedAlarm,
   aRxFrameLockAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
   	if ( aRxFrameLockAlarmMask )
   	{
   	   if (aForm.RxFrameLockAlarmMask)
   	     aForm.RxFrameLockAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxFrameLockAlarmMask)
  	     aForm.RxFrameLockAlarmMask[UNMASK].checked = true;
   }
   Update_RxFrameLockCurrentAlarm_Led(aRxFrameLockCurrentAlarm);
   Update_RxFrameLockLatchedAlarm_Led(aRxFrameLockLatchedAlarm);
}

function Update_RxMultiFrameLockCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxMultiFrameLockCurrentDarkLed', 'RxMultiFrameLockCurrentRedLed');
}

function Update_RxMultiFrameLockLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxMultiFrameLockLatchedDarkLed', 'RxMultiFrameLockLatchedRedLed');
}

function asyncUpdateAlarmsRxMultiFrameLockAlarm(aRxMultiFrameLockCurrentAlarm, aRxMultiFrameLockLatchedAlarm,
   aRxMultiFrameLockAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
      if ( aRxMultiFrameLockAlarmMask )
   	{
   	   if (aForm.RxMultiFrameLockAlarmMask)
   	     aForm.RxMultiFrameLockAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxMultiFrameLockAlarmMask)
 	     aForm.RxMultiFrameLockAlarmMask[UNMASK].checked = true;
   }
   Update_RxMultiFrameLockCurrentAlarm_Led(aRxMultiFrameLockCurrentAlarm);
   Update_RxMultiFrameLockLatchedAlarm_Led(aRxMultiFrameLockLatchedAlarm);
}

function Update_RxLbSynthPllCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxLbSynthPllCurrentDarkLed', 'RxLbSynthPllCurrentRedLed');
}

function Update_RxLbSynthPllLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxLbSynthPllLatchedDarkLed', 'RxLbSynthPllLatchedRedLed');
}

function asyncUpdateAlarmsRxLbSynthPllAlarm(aRxLbSynthPllCurrentAlarm, aRxLbSynthPllLatchedAlarm,
   aRxLbSynthPllAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
   	if ( aRxLbSynthPllAlarmMask )
   	{
   	   if (aForm.RxLbSynthPllAlarmMask)
   	     aForm.RxLbSynthPllAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxLbSynthPllAlarmMask)
        aForm.RxLbSynthPllAlarmMask[UNMASK].checked = true;
   }
   Update_RxLbSynthPllCurrentAlarm_Led(aRxLbSynthPllCurrentAlarm);
   Update_RxLbSynthPllLatchedAlarm_Led(aRxLbSynthPllLatchedAlarm);
}

function Update_RxLnbCurrentCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxLnbCurrentCurrentDarkLed', 'RxLnbCurrentCurrentRedLed');
}

function Update_RxLnbCurrentLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxLnbCurrentLatchedDarkLed', 'RxLnbCurrentLatchedRedLed');
}

function asyncUpdateAlarmsRxLnbCurrentAlarm(aRxLnbCurrentCurrentAlarm, aRxLnbCurrentLatchedAlarm,
   aRxLnbCurrentAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aRxLnbCurrentAlarmMask )
   	{
   	   if (aForm.RxLnbCurrentAlarmMask)
    	     aForm.RxLnbCurrentAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxLnbCurrentAlarmMask)
  	     aForm.RxLnbCurrentAlarmMask[UNMASK].checked = true;
   }
   Update_RxLnbCurrentCurrentAlarm_Led(aRxLnbCurrentCurrentAlarm);
   Update_RxLnbCurrentLatchedAlarm_Led(aRxLnbCurrentLatchedAlarm);
}

function Update_RxLnbVoltageCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxLnbVoltageCurrentDarkLed', 'RxLnbVoltageCurrentRedLed');
}

function Update_RxLnbVoltageLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxLnbVoltageLatchedDarkLed', 'RxLnbVoltageLatchedRedLed');
}

function asyncUpdateAlarmsRxLnbVoltageAlarm(aRxLnbVoltageCurrentAlarm, aRxLnbVoltageLatchedAlarm,
   aRxLnbVoltageAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
   	if ( aRxLnbVoltageAlarmMask )
      {
   	   if (aForm.RxLnbVoltageAlarmMask)
   	     aForm.RxLnbVoltageAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxLnbVoltageAlarmMask)
  	     aForm.RxLnbVoltageAlarmMask[UNMASK].checked = true;
   }
   Update_RxLnbVoltageCurrentAlarm_Led(aRxLnbVoltageCurrentAlarm);
   Update_RxLnbVoltageLatchedAlarm_Led(aRxLnbVoltageLatchedAlarm);
}

function Update_RxEthernetWanCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxEthernetWanCurrentDarkLed', 'RxEthernetWanCurrentRedLed');
}

function Update_RxEthernetWanLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxEthernetWanLatchedDarkLed', 'RxEthernetWanLatchedRedLed');
}

function asyncUpdateAlarmsRxEthernetWanAlarm(aRxEthernetWanCurrentAlarm, aRxEthernetWanLatchedAlarm,
   aRxEthernetWanAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
   	if ( aRxEthernetWanAlarmMask )
   	{
   	   if (aForm.RxEthernetWanAlarmMask)
   	     aForm.RxEthernetWanAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxEthernetWanAlarmMask)
  	     aForm.RxEthernetWanAlarmMask[UNMASK].checked = true;
   }
   Update_RxEthernetWanCurrentAlarm_Led(aRxEthernetWanCurrentAlarm);
   Update_RxEthernetWanLatchedAlarm_Led(aRxEthernetWanLatchedAlarm);
}

function Update_RxBuffUnderflowCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxBuffUnderflowCurrentDarkLed', 'RxBuffUnderflowCurrentYellowLed');
}

function Update_RxBuffUnderflowLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxBuffUnderflowLatchedDarkLed', 'RxBuffUnderflowLatchedYellowLed');
}

function asyncUpdateAlarmsRxBuffUnderflowAlarm(aRxBuffUnderflowCurrentAlarm, aRxBuffUnderflowLatchedAlarm,
   aRxBuffUnderflowAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
  	   if ( aRxBuffUnderflowAlarmMask )
      {
   	   if (aForm.RxBuffUnderflowAlarmMask)
       	   aForm.RxBuffUnderflowAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxBuffUnderflowAlarmMask)
         aForm.RxBuffUnderflowAlarmMask[UNMASK].checked = true;
   }
   Update_RxBuffUnderflowCurrentAlarm_Led(aRxBuffUnderflowCurrentAlarm);
   Update_RxBuffUnderflowLatchedAlarm_Led(aRxBuffUnderflowLatchedAlarm);
}

function Update_RxBuffNearEmptyCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxBuffNearEmptyCurrentDarkLed', 'RxBuffNearEmptyCurrentYellowLed');
}

function Update_RxBuffNearEmptyLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxBuffNearEmptyLatchedDarkLed', 'RxBuffNearEmptyLatchedYellowLed');
}

function asyncUpdateAlarmsRxBuffNearEmptyAlarm(aRxBuffNearEmptyCurrentAlarm, aRxBuffNearEmptyLatchedAlarm,
   aRxBuffNearEmptyAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aRxBuffNearEmptyAlarmMask )
   	{
   	   if (aForm.RxBuffNearEmptyAlarmMask)
   	     aForm.RxBuffNearEmptyAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxBuffNearEmptyAlarmMask)
  	     aForm.RxBuffNearEmptyAlarmMask[UNMASK].checked = true;
   }
   Update_RxBuffNearEmptyCurrentAlarm_Led(aRxBuffNearEmptyCurrentAlarm);
   Update_RxBuffNearEmptyLatchedAlarm_Led(aRxBuffNearEmptyLatchedAlarm);
}

function Update_RxBuffNearFullCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxBuffNearFullCurrentDarkLed', 'RxBuffNearFullCurrentYellowLed');
}

function Update_RxBuffNearFullLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxBuffNearFullLatchedDarkLed', 'RxBuffNearFullLatchedYellowLed');
}

function asyncUpdateAlarmsRxBuffNearFullAlarm(aRxBuffNearFullCurrentAlarm, aRxBuffNearFullLatchedAlarm,
   aRxBuffNearFullAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
 	   if ( aRxBuffNearFullAlarmMask )
      {
   	   if (aForm.RxBuffNearFullAlarmMask)
     	    aForm.RxBuffNearFullAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxBuffNearFullAlarmMask)
  	     aForm.RxBuffNearFullAlarmMask[UNMASK].checked = true;
   }
   Update_RxBuffNearFullCurrentAlarm_Led(aRxBuffNearFullCurrentAlarm);
   Update_RxBuffNearFullLatchedAlarm_Led(aRxBuffNearFullLatchedAlarm);
}

function Update_RxBufferOverflowCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxBufferOverflowCurrentDarkLed', 'RxBufferOverflowCurrentYellowLed');
}

function Update_RxBufferOverflowLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxBufferOverflowLatchedDarkLed', 'RxBufferOverflowLatchedYellowLed');
}

function asyncUpdateAlarmsRxBufferOverflowAlarm(aRxBufferOverflowCurrentAlarm, aRxBufferOverflowLatchedAlarm,
   aRxBufferOverflowAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aRxBufferOverflowAlarmMask )
      {
   	   if (aForm.RxBufferOverflowAlarmMask)
   	     aForm.RxBufferOverflowAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxBufferOverflowAlarmMask)
  	     aForm.RxBufferOverflowAlarmMask[UNMASK].checked = true;
   }
   Update_RxBufferOverflowCurrentAlarm_Led(aRxBufferOverflowCurrentAlarm);
   Update_RxBufferOverflowLatchedAlarm_Led(aRxBufferOverflowLatchedAlarm);
}

function Update_RxDataActivityCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxDataActivityCurrentDarkLed', 'RxDataActivityCurrentYellowLed');
}

function Update_RxDataActivityLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxDataActivityLatchedDarkLed', 'RxDataActivityLatchedYellowLed');
}

function asyncUpdateAlarmsRxDataActivityAlarm(aRxDataActivityCurrentAlarm, aRxDataActivityLatchedAlarm,
   aRxDataActivityAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
   	if ( aRxDataActivityAlarmMask )
      {
   	   if (aForm.RxDataActivityAlarmMask)
   	     aForm.RxDataActivityAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxDataActivityAlarmMask)
  	     aForm.RxDataActivityAlarmMask[UNMASK].checked = true;
   }
   Update_RxDataActivityCurrentAlarm_Led(aRxDataActivityCurrentAlarm);
   Update_RxDataActivityLatchedAlarm_Led(aRxDataActivityLatchedAlarm);
}

function Update_RxSatAisCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxSatAisCurrentDarkLed', 'RxSatAisCurrentYellowLed');
}

function Update_RxSatAisLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxSatAisLatchedDarkLed', 'RxSatAisLatchedYellowLed');
}

function asyncUpdateAlarmsRxSatAisAlarm(aRxSatAisCurrentAlarm, aRxSatAisLatchedAlarm,
   aRxSatAisAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
      if ( aRxSatAisAlarmMask )
      {
   	   if (aForm.RxSatAisAlarmMask)
   	     aForm.RxSatAisAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxSatAisAlarmMask)
   	   aForm.RxSatAisAlarmMask[UNMASK].checked = true;
   }
   Update_RxSatAisCurrentAlarm_Led(aRxSatAisCurrentAlarm);
   Update_RxSatAisLatchedAlarm_Led(aRxSatAisLatchedAlarm);
}

function Update_RxDnIFrameLockCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxDnIFrameLockCurrentDarkLed', 'RxDnIFrameLockCurrentYellowLed');
}

function Update_RxDnIFrameLockLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxDnIFrameLockLatchedDarkLed', 'RxDnIFrameLockLatchedYellowLed');
}

function asyncUpdateAlarmsRxDnIFrameLockAlarm(aRxDnIFrameLockCurrentAlarm, aRxDnIFrameLockLatchedAlarm,
   aRxDnIFrameLockAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
      if ( aRxDnIFrameLockAlarmMask )
      {
   	   if (aForm.RxDnIFrameLockAlarmMask)
            aForm.RxDnIFrameLockAlarmMask[MASK].checked = true;
      }
      else if (aForm.RxDnIFrameLockAlarmMask)
  	     aForm.RxDnIFrameLockAlarmMask[UNMASK].checked = true;
   }
   Update_RxDnIFrameLockCurrentAlarm_Led(aRxDnIFrameLockCurrentAlarm);
   Update_RxDnIFrameLockLatchedAlarm_Led(aRxDnIFrameLockLatchedAlarm);
}

function Update_RxDnIMframeLockCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxDnIMframeLockCurrentDarkLed', 'RxDnIMframeLockCurrentYellowLed');
}

function Update_RxDnIMframeLockLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxDnIMframeLockLatchedDarkLed', 'RxDnIMframeLockLatchedYellowLed');
}

function asyncUpdateAlarmsRxDnIMframeLockAlarm(aRxDnIMframeLockCurrentAlarm, aRxDnIMframeLockLatchedAlarm,
   aRxDnIMframeLockAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aRxDnIMframeLockAlarmMask )
      {
   	   if (aForm.RxDnIMframeLockAlarmMask)
   	     aForm.RxDnIMframeLockAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxDnIMframeLockAlarmMask)
  	     aForm.RxDnIMframeLockAlarmMask[UNMASK].checked = true;
   }
   Update_RxDnIMframeLockCurrentAlarm_Led(aRxDnIMframeLockCurrentAlarm);
   Update_RxDnIMframeLockLatchedAlarm_Led(aRxDnIMframeLockLatchedAlarm);
}

function Update_RxInsertCrcCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxInsertCrcCurrentDarkLed', 'RxInsertCrcCurrentYellowLed');
}

function Update_RxInsertCrcLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxInsertCrcLatchedDarkLed', 'RxInsertCrcLatchedYellowLed');
}

function asyncUpdateAlarmsRxInsertCrcAlarm(aRxInsertCrcCurrentAlarm, aRxInsertCrcLatchedAlarm,
   aRxInsertCrcAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aRxInsertCrcAlarmMask )
      {
   	    if ( aForm.RxInsertCrcAlarmMask)
   	     aForm.RxInsertCrcAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxInsertCrcAlarmMask)
  	     aForm.RxInsertCrcAlarmMask[UNMASK].checked = true;
   }
   Update_RxInsertCrcCurrentAlarm_Led(aRxInsertCrcCurrentAlarm);
   Update_RxInsertCrcLatchedAlarm_Led(aRxInsertCrcLatchedAlarm);
}

function Update_RxT1E1SignalingCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxT1E1SignalingCurrentDarkLed', 'RxT1E1SignalingCurrentYellowLed');
}

function Update_RxT1E1SignalingLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxT1E1SignalingLatchedDarkLed', 'RxT1E1SignalingLatchedYellowLed');
}

function asyncUpdateAlarmsRxT1E1SignalingAlarm(aRxT1E1SignalingCurrentAlarm, aRxT1E1SignalingLatchedAlarm,
   aRxT1E1SignalingAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aRxT1E1SignalingAlarmMask )
      {
   	   if (aForm.RxT1E1SignalingAlarmMask)
   	     aForm.RxT1E1SignalingAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxT1E1SignalingAlarmMask)
  	     aForm.RxT1E1SignalingAlarmMask[UNMASK].checked = true;
   }
   Update_RxT1E1SignalingCurrentAlarm_Led(aRxT1E1SignalingCurrentAlarm);
   Update_RxT1E1SignalingLatchedAlarm_Led(aRxT1E1SignalingLatchedAlarm);
}

function Update_RxIfecLockCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxIfecLockCurrentDarkLed', 'RxIfecLockCurrentYellowLed');
}

function Update_RxIfecLockLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxIfecLockLatchedDarkLed', 'RxIfecLockLatchedYellowLed');
}

function asyncUpdateAlarmsRxIfecLockAlarm(aRxIfecLockCurrentAlarm, aRxIfecLockLatchedAlarm,
   aRxIfecLockAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
 	   if ( aRxIfecLockAlarmMask )
   	{
   	   if (aForm.RxIfecLockAlarmMask)
   	     aForm.RxIfecLockAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxIfecLockAlarmMask)
  	     aForm.RxIfecLockAlarmMask[UNMASK].checked = true;
   }
   Update_RxIfecLockCurrentAlarm_Led(aRxIfecLockCurrentAlarm);
   Update_RxIfecLockLatchedAlarm_Led(aRxIfecLockLatchedAlarm);
}

function Update_RxOfecLockCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxOfecLockCurrentDarkLed', 'RxOfecLockCurrentYellowLed');
}

function Update_RxOfecLockLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxOfecLockLatchedDarkLed', 'RxOfecLockLatchedYellowLed');
}

function asyncUpdateAlarmsRxOfecLockAlarm(aRxOfecLockCurrentAlarm, aRxOfecLockLatchedAlarm,
   aRxOfecLockAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
 	   if ( aRxOfecLockAlarmMask )
      {
   	   if (aForm.RxOfecLockAlarmMask)
   	     aForm.RxOfecLockAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxOfecLockAlarmMask)
  	     aForm.RxOfecLockAlarmMask[UNMASK].checked = true;
   }
   Update_RxOfecLockCurrentAlarm_Led(aRxOfecLockCurrentAlarm);
   Update_RxOfecLockLatchedAlarm_Led(aRxOfecLockLatchedAlarm);
}

function Update_RxInterleaverCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxInterleaverCurrentDarkLed', 'RxInterleaverCurrentYellowLed');
}

function Update_RxInterleaverLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxInterleaverLatchedDarkLed', 'RxInterleaverLatchedYellowLed');
}

function asyncUpdateAlarmsRxInterleaverAlarm(aRxInterleaverCurrentAlarm, aRxInterleaverLatchedAlarm,
   aRxInterleaverAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aRxInterleaverAlarmMask )
      {
   	   if (aForm.RxInterleaverAlarmMask)
   	     aForm.RxInterleaverAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxInterleaverAlarmMask)
  	     aForm.RxInterleaverAlarmMask[UNMASK].checked = true;
   }
   Update_RxInterleaverCurrentAlarm_Led(aRxInterleaverCurrentAlarm);
   Update_RxInterleaverLatchedAlarm_Led(aRxInterleaverLatchedAlarm);
}

function Update_RxRsUncorrWordCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxRsUncorrWordCurrentDarkLed', 'RxRsUncorrWordCurrentYellowLed');
}

function Update_RxRsUncorrWordLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxRsUncorrWordLatchedDarkLed', 'RxRsUncorrWordLatchedYellowLed');
}

function asyncUpdateAlarmsRxRsUncorrWordAlarm(aRxRsUncorrWordCurrentAlarm, aRxRsUncorrWordLatchedAlarm,
   aRxRsUncorrWordAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aRxRsUncorrWordAlarmMask )
      {
   	   if (aForm.RxRsUncorrWordAlarmMask)
   	     aForm.RxRsUncorrWordAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxRsUncorrWordAlarmMask)
  	     aForm.RxRsUncorrWordAlarmMask[UNMASK].checked = true;
   }
   Update_RxRsUncorrWordCurrentAlarm_Led(aRxRsUncorrWordCurrentAlarm);
   Update_RxRsUncorrWordLatchedAlarm_Led(aRxRsUncorrWordLatchedAlarm);
}

function Update_RxEbnoCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxEbnoCurrentDarkLed', 'RxEbnoCurrentYellowLed');
}

function Update_RxEbnoLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxEbnoLatchedDarkLed', 'RxEbnoLatchedYellowLed');
}

function asyncUpdateAlarmsRxEbnoAlarm(aRxEbnoCurrentAlarm, aRxEbnoLatchedAlarm,
   aRxEbnoAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aRxEbnoAlarmMask )
      {
   	   if (aForm.RxEbnoAlarmMask)
   	     aForm.RxEbnoAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxEbnoAlarmMask)
 	     aForm.RxEbnoAlarmMask[UNMASK].checked = true;
   }
   Update_RxEbnoCurrentAlarm_Led(aRxEbnoCurrentAlarm);
   Update_RxEbnoLatchedAlarm_Led(aRxEbnoLatchedAlarm);
}

function Update_RxLevelCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxLevelCurrentDarkLed', 'RxLevelCurrentYellowLed');
}

function Update_RxLevelLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxLevelLatchedDarkLed', 'RxLevelLatchedYellowLed');
}

function asyncUpdateAlarmsRxLevelAlarm(aRxLevelCurrentAlarm, aRxLevelLatchedAlarm,
   aRxLevelAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aRxLevelAlarmMask )
      {
   	   if (aForm.RxLevelAlarmMask)
   	     aForm.RxLevelAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxLevelAlarmMask)
  	     aForm.RxLevelAlarmMask[UNMASK].checked = true;
   }
   Update_RxLevelCurrentAlarm_Led(aRxLevelCurrentAlarm);
   Update_RxLevelLatchedAlarm_Led(aRxLevelLatchedAlarm);
}

function Update_RxIbsBerCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxIbsBerCurrentDarkLed', 'RxIbsBerCurrentYellowLed');
}

function Update_RxIbsBerLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxIbsBerLatchedDarkLed', 'RxIbsBerLatchedYellowLed');
}

function asyncUpdateAlarmsRxIbsBerAlarm(aRxIbsBerCurrentAlarm, aRxIbsBerLatchedAlarm,
   aRxIbsBerAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aRxIbsBerAlarmMask )
      {
   	   if (aForm.RxIbsBerAlarmMask)
   	     aForm.RxIbsBerAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxIbsBerAlarmMask)
  	     aForm.RxIbsBerAlarmMask[UNMASK].checked = true;
   }
   Update_RxIbsBerCurrentAlarm_Led(aRxIbsBerCurrentAlarm);
   Update_RxIbsBerLatchedAlarm_Led(aRxIbsBerLatchedAlarm);
}

function Update_RxDvbFrameLockCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxDvbFrameLockCurrentDarkLed', 'RxDvbFrameLockCurrentYellowLed');
}

function Update_RxDvbFrameLockLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'RxDvbFrameLockLatchedDarkLed', 'RxDvbFrameLockLatchedYellowLed');
}

function asyncUpdateAlarmsRxDvbFrameLockAlarm(aRxDvbFrameLockCurrentAlarm, aRxDvbFrameLockLatchedAlarm,
   aRxDvbFrameLockAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aRxDvbFrameLockAlarmMask )
      {
   	   if (aForm.RxDvbFrameLockAlarmMask)
   	     aForm.RxDvbFrameLockAlarmMask[MASK].checked = true;
      }
	   else if (aForm.RxDvbFrameLockAlarmMask)
  	     aForm.RxDvbFrameLockAlarmMask[UNMASK].checked = true;
   }
   Update_RxDvbFrameLockCurrentAlarm_Led(aRxDvbFrameLockCurrentAlarm);
   Update_RxDvbFrameLockLatchedAlarm_Led(aRxDvbFrameLockLatchedAlarm);
}

